#ifndef __DOS_COMP_H__
#define __DOS_COMP_H__

#ifdef unix

#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <limits.h>
#include <string.h>
#include <unistd.h>

inline
int stricmp(const char* s1, const char* s2) { return strcasecmp(s1, s2); }

inline
int strnicmp(const char* s1, const char* s2, size_t n) 
{ 
	return strncasecmp(s1, s2, n);
}

inline
int mkdir(const char* pathname) { return mkdir(pathname, 0644); }

#define MAXPATH PATH_MAX

#endif

#endif
